Issue 121407 - Integrate useful gallery themes from the Symphony branch
Integrate useful gallery themes from the Symphony branch
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: configuration
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 13:40 UTC by Armin Le Grand
Modified: 2013-07-12 16:31 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-11-26 13:40:11 UTC
ALG: The current trunk version of AOO has only very view gallery themes. To make this state more comfortable and to offer the users more useful gallery graphic themes I propose (and volunteer) to integrate useful gallöery themes from Symphony branch. These data are png, in the future extensions should use SVG, but for now to get forward we sohould just use the existing data.
Comment 1 Armin Le Grand 2012-11-26 13:40:48 UTC
ALG: Taking over for evaluation. Findings will be reported accordingly.
Comment 2 Armin Le Grand 2012-11-30 12:47:01 UTC
ALG: I have the first working version. Added themes are:

arrows (merged with existing)
bullets
computers
diagrams
education
environment
finance
gallery_sound
gallery_system
people
sounds
symbols
transportation
txtshapes

Install set sizes (Windows):
original: 122 MB (128.229.180 bytes)
modified: 142 MB (149.436.536 bytes)

Thus, it costs currently ca. 20 MB. I am right now using pngcrush to reduce all contained *.png's old and new ones. Lets see what we can do.

Suggested from Kevin: remove theme 'rulers'. Comments on that?
Comment 3 Armin Le Grand 2012-11-30 12:52:58 UTC
ALG: Suggestion: Use better scaler (e.g. recently added lanzcos) for thumbnail production. Need to check where this is done and if this is possible...
Comment 4 Armin Le Grand 2012-11-30 14:52:30 UTC
ALG: pngcrush could reduce the sizes for more than 50%, but the effect will not be that big for the install set since these files will be zipped to gether. The newly pached pngs zip less than before. Lets see where we land...
Comment 5 Armin Le Grand 2012-12-03 08:57:47 UTC
ALG: After using pngcrush the install set is

original: 122 MB (128.229.180 bytes)
modified: 139 MB (146.700.786 bytes)

3 MB less, still 17 MB to go. This is an increase of 14% roughly. Cheking better thumbnails now...
Comment 6 Armin Le Grand 2012-12-03 12:54:29 UTC
ALG: Added scale flag to SetSizePixel for all bitmap base classes to be able to control evtl. involved scaling. Added better quality scaling to thumbnail production for gallery. Building...
Comment 7 Armin Le Grand 2012-12-03 17:23:26 UTC
ALG: Have now rearranged all themes by using lanzcos scaling fr thumbnail production (And AAing for painting vector data). Thsi makes all contents look much better. Checked rebuild, works well after install.
Comment 8 Armin Le Grand 2012-12-04 12:04:05 UTC
ALG: The gallery thumbnails look much better now with high quality scaling, this is also used for all self-added new gallery entries, bitmap and vector ones. Now I'm looking into reducing file sizes of al *.png files bigger than 50k...
Comment 9 SVN Robot 2012-12-05 17:18:40 UTC
"alg" committed SVN revision 1417535 into trunk:
#121407# Gallery reorganizations and additions of new themes
Comment 10 Armin Le Grand 2012-12-05 17:28:24 UTC
ALG: Comitted as revision 1417535. From the newsgroup:

I have now reduced some of the biggest graphics (which had sizes up to 1700x1400) and got a size of the install set of:

original: 122 MB (128.229.180 bytes)
modified: 138 MB (145.384.769 bytes)

Thus, with the new themes (with # of entries)

    arrows (68)
    bullets (merged with existing, 92, 30 new ones)
    computers (18)
    diagrams (108)
    education (13)
    environment (25)
    finance (42)
    people (52)
    symbols (90)
    transportation (14)
    textshapes (38)

and the old themes

    www-back (62)
    www-graf (93)
    rulers (25)
    sounds (35)
    htmlexpo (48)

we have an extra of 16 MB (17.155.589 bytes). That is an increase of 13,37885% for 498 new graphics.

All entries are newly created (for better thumbnails). The thumbnail quality will be increased for all user-added stuff in the gallery, too. The user gets a good pre-installed amount and selection of graphics for all purposes.

I propose to add it in that form; when the vector-based versions should show up later it is easy to replace these.
Comment 11 Armin Le Grand 2012-12-06 14:41:40 UTC
ALG: One more thing: Make the gallery thumb creation use the usual standard background of grey/white tiling to make transparencies visible.
Comment 12 Armin Le Grand 2012-12-07 10:14:04 UTC
ALG: More complicated than I thought - opened new task for it (#121445#). Leave this one as done.